Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598980 - Review Request: rubygem-lockfile - Ruby library for creating NFS safe lockfiles
Review Request: rubygem-lockfile - Ruby library for creating NFS safe lockfiles
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 601633 601641
  Show dependency treegraph
 
Reported: 2010-06-02 09:30 EDT by Shreyank Gupta
Modified: 2010-06-10 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: rubygem-lockfile-1.4.3-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:22:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shreyank Gupta 2010-06-02 09:30:14 EDT
Spec URL: http://shreyankg.fedorapeople.org/packaging/lockfile/rubygem-lockfile.spec
SRPM URL: http://shreyankg.fedorapeople.org/packaging/lockfile/rubygem-lockfile-1.4.3-1.fc13.src.rpm
Description:  Its a Ruby library for creating NFS safe lockfiles. 
rlock creates NFS resistant lockfiles.
Comment 1 Shreyank Gupta 2010-06-02 09:38:40 EDT
Koji Scratch Build
-------------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2225105
Comment 2 Mamoru TASAKA 2010-06-03 04:27:02 EDT
(Removing NEEDSPONSOR)
Comment 3 Mamoru TASAKA 2010-06-04 14:33:36 EDT
For -1:

* License (tag)
  - Please include the following file as SOURCE1 (with full URL),
    install the file under %geminstdir, mark the file as %doc
    and include in main package.

    http://codeforpeople.com/lib/license.txt

  - When the license is "the same as Ruby", we use "GPLv2 or Ruby"
    (not v2+) for license tag in the spec file.

* bin/ directory
--------------------------------------------------------------
$ rlock
/usr/bin/rlock:19:in `load': no such file to load -- /usr/lib/ruby/gems/1.8/gems/lockfile-1.4.3/bin/rlock (LoadError)
	from /usr/bin/rlock:19
--------------------------------------------------------------
  - %{geminstdir}/bin directory must not be removed and should
    be in main package.
Comment 5 Mamoru TASAKA 2010-06-07 12:05:39 EDT
One issue

- When using "cp" or "install" command for files, please add "-p" option
  to keep timestamps on installed files.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

Please fix the above when importing this package into Fedora.

------------------------------------------------------------------
    This package (rubygem-lockfile) is APPROVED by mtasaka
------------------------------------------------------------------
Comment 6 Shreyank Gupta 2010-06-07 13:01:25 EDT
Thanks for the review, I'll update the specfile and SRPMs tomorrow. 
Meanwhile ..

New Package CVS Request
=======================
Package Name: rubygem-lockfile
Short Description: Ruby library for creating NFS safe lockfiles
Owners: shreyankg
Branches: F-13
Comment 7 Kevin Fenzi 2010-06-07 17:09:54 EDT
CVS done (by process-cvs-requests.py).
Comment 9 Mamoru TASAKA 2010-06-08 05:51:25 EDT
Well, I have not checked your new spec in detail, however
- "install" command usually sets the permission of the file to
   be installed to "0755" instead of "0644". Please check if 
  "license.txt" has 0644 permission.
Comment 10 Shreyank Gupta 2010-06-08 06:03:45 EDT
Sorry! Thanks for pointing that out:

Updated:
--------

Spec URL:
http://shreyankg.fedorapeople.org/packaging/lockfile/rubygem-lockfile.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/lockfile/rubygem-lockfile-1.4.3-4.fc13.src.rpm
Comment 11 Mamoru TASAKA 2010-06-08 06:09:19 EDT
Seems okay. Please import.
Comment 12 Fedora Update System 2010-06-08 06:30:46 EDT
rubygem-lockfile-1.4.3-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-lockfile-1.4.3-4.fc13
Comment 13 Fedora Update System 2010-06-08 15:29:29 EDT
rubygem-lockfile-1.4.3-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-lockfile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-lockfile-1.4.3-4.fc13
Comment 14 Fedora Update System 2010-06-10 15:21:57 EDT
rubygem-lockfile-1.4.3-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.